function scores = retrievalScores(R,CQ,CR)
% scores = retrievalScores(R,CQ,CR)
% Computes the retrieval score for a given retrieval ranking.
% Variables:
% score - 
%   NN - nearest neighbour.
%   FT - first tier.
%   ST - second tier.
%   DCG - dcg.
%
% David Pickup 2014

scores.NN = retrievalScore(R,CQ,CR,'NN');
scores.FT = retrievalScore(R,CQ,CR,'FT');
scores.ST = retrievalScore(R,CQ,CR,'ST');
scores.DCG = retrievalScore(R,CQ,CR,'DCG');

return;